Subject: ANNOUNCE: New perltrap examples (perl5 transition aid)
From: [email-masked] (William J. Middleton)
Date: 19 Mar 1996 17:00:22 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Below find more than 30 examples of documented and undocumented
differences (traps) in output from perl4 and perl5.  This is provided
to you as an aid to making the transition to perl5, which, in spite
of these, is probably the best thing to happen to programming languages
since the demise of punchcards.

  The majority of the examples below are simply derived from the 
items in the perltrap man page.  There are also a number of examples 
of undocumented traps.  Some of these may be formally considered bugs, 
but as of today's date, I've received no confirmation to this effect.  
If at any time in the future, any of these _are_ declared bugs, I'll 
update this list ASAP.  Also, as soon as it's convenient and appropriate, 
most or all of these will be patched into the perltrap man page, as part
of the official documentation.  This simple compendium is provided
at this time based on the my perception of an immediate need.

  Many thanks to all those who took the time and trouble to make submissions
to this effort, including that Great Gaggle of Gurus, the perl5-porters.  
I've tried to credit as best as possible.  It should not be expected, 
however, that such credits will be part of perltrap officially.

  Further, this effort is still very much open to submissions.  If you 
have knowledge of anything which may be appropriate, please don't hesitate
to drop me a line with the subject:

    Perl4 to Perl5 differences

  As mentioned in the original announcement, anything you care to write
up is OK.  Please be sure to mention the architecture you're running on, 
and what versions of perl4 and perl5 you're using, and preferably a small
code snippet, like those below, which demonstrates the problem.

  The document is uuencoded and attached below, and will also be 
available on CPAN, updated from time to time if appropriate, at

$CPAN/authors/id/BMIDD/425traps-$version

Enjoy,

Bill